Crazy Eddies GUI System: CEGUI::PopupMenu Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Class List
- Alphabetical List
- Class Hierarchy
- Class Members

# CEGUI::PopupMenu Class Reference

Base class for popup menus. More...

Inheritance diagram for CEGUI::PopupMenu:

[legend]
Collaboration diagram for CEGUI::PopupMenu:

[legend]
List of all members.

## Public Member Functions
float | getFadeInTime (void) const
| Get the fade in time for this popup menu.
float | getFadeOutTime (void) const
| Get the fade out time for this popup menu.
void | setFadeInTime (float fadetime)
| Set the fade in time for this popup menu.
void | setFadeOutTime (float fadetime)
| Set the fade out time for this popup menu.
void | openPopupMenu (void)
| Tells the popup menu to open.
void | closePopupMenu (void)
| Tells the popup menu to close.
| PopupMenu (const String &type, const String &name)
| Constructor for PopupMenu objects.
virtual | ~PopupMenu (void)
| Destructor for PopupMenu objects.
## Static Public Attributes
static const String | EventNamespace
| Namespace for global events.
## Protected Member Functions
virtual void | updateSelf (float elapsed)
| Perform actual update processing for this Window.
virtual void | layoutItemWidgets (void)
| Setup size and position for the item widgets attached to this Listbox.
virtual Size | getContentSize (void)
| Resizes the popup menu to exactly fit the content that is attached to it.
virtual bool | testClassName_impl (const String &class_name) const
| Return whether this window was inherited from the given class name at some point in the inheritance heirarchy.
virtual void | onAlphaChanged (WindowEventArgs &e)
| Handler called when the window's alpha blend value is changed.
## Protected Attributes
float | d_origAlpha
| The original alpha of this window.
float | d_fadeElapsed
| The time in seconds this popup menu has been fading.
float | d_fadeOutTime
| The time in seconds it takes for this popup menu to fade out.
float | d_fadeInTime
| The time in seconds it takes for this popup menu to fade in.
bool | d_fading
| true if this popup menu is fading in/out. false if not
bool | d_fadingOut
| true if this popup menu is fading out. false if fading in.

## Detailed Description

Base class for popup menus.

## Member Function Documentation

Size CEGUI::PopupMenu::getContentSize | ( | void |  | ) | `[protected, virtual]`

| Resizes the popup menu to exactly fit the content that is attached to it. Returns: Nothing. Implements CEGUI::ItemListBase.

float CEGUI::PopupMenu::getFadeInTime | ( | void |  | ) | const`[inline]`

| Get the fade in time for this popup menu. Returns: The time in seconds that it takes for the popup to fade in. 0 if fading is disabled.

float CEGUI::PopupMenu::getFadeOutTime | ( | void |  | ) | const`[inline]`

| Get the fade out time for this popup menu. Returns: The time in seconds that it takes for the popup to fade out. 0 if fading is disabled.

void CEGUI::PopupMenu::layoutItemWidgets | ( | void |  | ) | `[protected, virtual]`

| Setup size and position for the item widgets attached to this Listbox. Returns: Nothing. Implements CEGUI::ItemListBase.

void CEGUI::PopupMenu::onAlphaChanged | ( | WindowEventArgs & | e | ) | `[protected, virtual]`

  | Handler called when the window's alpha blend value is changed. Parameters:
  | e | WindowEventArgs object whose 'window' pointer field is set to the window that triggered the event. For this event the trigger window is always 'this'.
Reimplemented from CEGUI::Window.

void CEGUI::PopupMenu::setFadeInTime | ( | float | fadetime | ) | `[inline]`

  | Set the fade in time for this popup menu. Parameters:
  | fadetime | The time in seconds that it takes for the popup to fade in. If this parameter is zero, fading is disabled.

void CEGUI::PopupMenu::setFadeOutTime | ( | float | fadetime | ) | `[inline]`

  | Set the fade out time for this popup menu. Parameters:
  | fadetime | The time in seconds that it takes for the popup to fade out. If this parameter is zero, fading is disabled.

virtual bool CEGUI::PopupMenu::testClassName_impl | ( | const String & | class_name | ) | const`[inline, protected, virtual]`

  | Return whether this window was inherited from the given class name at some point in the inheritance heirarchy. Parameters:
  | class_name | The class name that is to be checked.
Returns: true if this window was inherited from class_name. false if not. Reimplemented from CEGUI::MenuBase.

void CEGUI::PopupMenu::updateSelf | ( | float | elapsed | ) | `[protected, virtual]`

  | Perform actual update processing for this Window. Parameters:
  | elapsed | float value indicating the number of seconds elapsed since the last update call.
Returns: Nothing. Reimplemented from CEGUI::Window.